%% AnalyzeAllSimulatedData

% Objective: To run AnalyzeSimulatedData.m for all sea states
% Method: For-loop

% Last Modified: 05.2015
% Authors: Loup and Joakim
%%
clear all
seastates = {...
     'Irregular_Hs9.04_Tp11.25_h30/';...
     'Irregular_Hs8.22_Tp11.25_h30/';...
     'Irregular_Hs7.69_Tp11.25_h30/';...
     'Irregular_Hs6.71_Tp11.25_h30/';...
     'Irregular_Hs9.04_Tp15_h30/';...
     'Irregular_Hs8.22_Tp15_h30/';...
     'Irregular_Hs7.69_Tp15_h30/';...
     'Irregular_Hs6.71_Tp15_h30/';...
     'Irregular_Hs9.04_Tp15_h20.9/';...
     'Irregular_Hs8.22_Tp15_h20.9/';...
     'Irregular_Hs7.69_Tp15_h20.9/';...
     'Irregular_Hs6.71_Tp15_h20.9/';...
    'Irregular_Hs9.04_Tp11.25_h20.9/';...
    'Irregular_Hs8.22_Tp11.25_h20.9/';...
    'Irregular_Hs7.69_Tp11.25_h20.9/';...
    'Irregular_Hs6.71_Tp11.25_h20.9/';...
     'Hs9.04_Tp15_h20.9_gamma8';...
     'Hs8.22_Tp15_h20.9_gamma8';...
     'Hs7.69_Tp15_h20.9_gamma8';...
     'Hs6.71_Tp15_h20.9_gamma8';...
};

for kk = 1:length(seastates)
    seastate = cell2mat(seastates(kk));
    AnalyzeSimulatedData;
    display(num2str(kk/length(seastates)));
end