%%  Mirror
% Objective: This function mirrors a spectrum wrt. its central value.

% Last Modified: 01.2015
% Authors: Loup and Joakim

%   Input       Type/Dimension      Description
%   X           vector              frequency components to be mirrored

%   Output      Type/Dimension      Description
%   Xm          vector              total (original + mirrored) components
%%
function [Xm] = Mirror(X)

Xm = [X;X(end);conj(X(length(X):-1:2))];

end