%% numToString100

% Objective: Used for the three-digit run numbers that begin with '0' or
% '00'

% Method: If-sentences
% Last Modified: 02.2015
% Authors: Loup and Joakim

%   Input       Type/Dimension      Description
%   num         double [-]          run number [number]

%   Output      Type/Dimension     Description
%   num_string  char                run number [string]
%%
function [num_string] = numToString100(num)
 
 if(num<10)
     num_string = ['00' num2str(num)];
 elseif(num<100)
     num_string = ['0' num2str(num)];
 elseif(num<1000)
     num_string = num2str(num);
 elseif(num>999)
     error('File number < 999, change name or next file will be deleted');
 end

end

